package com.ccwangluo.ccim.manage;

import com.ccwangluo.ccim.listener.ResultCallback;

import java.util.HashMap;

public class CallBackManager<T> {
    private HashMap<Integer, ResultCallback<T>> callbackHashMap = new HashMap<>();

    public void addCallBack(int id, ResultCallback<T> resultCallback) {
        callbackHashMap.put(id, resultCallback);
    }

    public ResultCallback<T> getCallBack(int id) {
        return callbackHashMap.get(id);
    }

    public void removeCallBack(int id) {
        callbackHashMap.remove(id);
    }

}
